package com.chenyang.druid.sql.dialect.mariadb.ast.clause;

public class ConditionValue {
   private ConditionType type;
   private String value;

   public ConditionType getType() {
      return this.type;
   }

   public void setType(ConditionType type) {
      this.type = type;
   }

   public String getValue() {
      return this.value;
   }

   public void setValue(String value) {
      this.value = value;
   }

   public static enum ConditionType {
      SQLSTATE,
      SELF,
      SYSTEM,
      MARIADB_ERROR_CODE;
   }
}
